Thông tin tiểu khoản
curl --request GET \
--url https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"basicInfo": {
"custodyCode": "105C334455",
"fullName": "NGUYEN VAN A",
"status": "ACTIVE"
},
"bankSubAccounts": [
{
"accountNo": "0001K36265",
"accountName": "Khuynh Thanh Chi Luyen",
"bankCode": null,
"accountType": "NORMAL",
"accountTypeName": "Thường",
"status": "1",
"isDefault": "N"
},
{
"accountNo": "0001G75216",
"accountName": "Khuynh Thanh Chi Luyen",
"bankCode": null,
"accountType": "MARGIN",
"accountTypeName": "Ký quỹ",
"status": "1",
"isDefault": "N"
},
{
"accountNo": "105C738764A",
"accountName": "Khuynh Thanh Chi Luyen",
"bankCode": "105C738764A",
"accountType": "DERIVATIVE",
"accountTypeName": "Phái sinh",
"status": "1",
"isDefault": "N"
}
]
}Tài khoản
Thông tin tiểu khoản
Lấy thông tin hồ sơ của một tài khoản lưu ký theo danh sách trường yêu cầu.
GET
/
eros
/
v2
/
get-profile
/
by-username
/
{custodyCode}
Thông tin tiểu khoản
curl --request GET \
--url https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"basicInfo": {
"custodyCode": "105C334455",
"fullName": "NGUYEN VAN A",
"status": "ACTIVE"
},
"bankSubAccounts": [
{
"accountNo": "0001K36265",
"accountName": "Khuynh Thanh Chi Luyen",
"bankCode": null,
"accountType": "NORMAL",
"accountTypeName": "Thường",
"status": "1",
"isDefault": "N"
},
{
"accountNo": "0001G75216",
"accountName": "Khuynh Thanh Chi Luyen",
"bankCode": null,
"accountType": "MARGIN",
"accountTypeName": "Ký quỹ",
"status": "1",
"isDefault": "N"
},
{
"accountNo": "105C738764A",
"accountName": "Khuynh Thanh Chi Luyen",
"bankCode": "105C738764A",
"accountType": "DERIVATIVE",
"accountTypeName": "Phái sinh",
"status": "1",
"isDefault": "N"
}
]
}Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tham số đường dẫn
Số tài khoản lưu ký, ví dụ: 105C334455.
Tham số truy vấn
Danh sách thông tin cần lấy, ví dụ: basicInfo, bankSubAccounts.